package com.uas.search.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 自定义注解，监测方法的参数不为空
 * 
 * @author sunyj
 * @since 2017年1月3日 上午11:31:01
 */
@Target(ElementType.PARAMETER)
@Retention(RetentionPolicy.RUNTIME)
public @interface NotEmpty {

	/**
	 * 参数名称
	 * 
	 * @return
	 */
	String value() default "";
}
