package com.uas.search.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.search.model.Purchase;

/**
 * @author sunyj
 * @since 2016年10月14日 上午11:58:50
 */
@Repository
public interface PurchaseDao
		extends JpaSpecificationExecutor<Purchase>, JpaRepository<Purchase, Long> {
	/**
	 * 根据id获取销售单
	 * 
	 * @param id
	 * @return
	 */
	public Purchase findById(Long id);
}
