package com.uas.search.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.search.model.Store;

/**
 * @author sunyj
 * @since 2017年7月22日 下午8:16:07
 */
@Repository
public interface StoreDao
		extends JpaSpecificationExecutor<Store>, JpaRepository<Store, Long> {

	public Store findByUuid(String uuid);
}
