package com.uas.search.dao;

import com.uas.search.model.TradeGoods;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author sunyj
 * @since 2017年7月22日 下午8:16:07
 */
@Repository
public interface TradeGoodsDao
        extends JpaSpecificationExecutor<TradeGoods>, JpaRepository<TradeGoods, Long> {

    List<TradeGoods> findByCmpUuid(String cmpUuid);

    List<TradeGoods> findByProductId(Long productId);
}
