package com.uas.search.console.b2b.jms;

import com.uas.search.b2b.model.SPage;
import com.uas.search.console.b2b.util.SearchConstants;

/**
 * 消息
 *
 * @author sunyj
 * @since 2017/10/11 17:31
 */
public interface LuceneMessageService {

    /**
     * 获取消息
     *
     * @param dataSourceQualifier 数据源标识
     * @param page                页码
     * @param size                页大小
     * @return 消息（实时更新情况的详细信息）
     */
    SPage<LuceneMessageInterface> findAll(SearchConstants.DataSourceQualifier dataSourceQualifier, Integer page, Integer size);

    /**
     * 获取 LuceneMessageDaoInterface
     * @param dataSourceQualifier 数据源标识
     * @return LuceneMessageDaoInterface
     */
    LuceneMessageDaoInterface getLuceneMessageDao(SearchConstants.DataSourceQualifier dataSourceQualifier);
}
