package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 买家的不良品入库明细
 * 
 * @author suntg
 * 
 */
@Table(name = "purc$apbillitem")
@Entity
public class PurchaseApBillItemSimpleInfo extends AbstractOrderProduct {

	@Id
	@Column(name = "papi_id")
	private Long id;

	/**
	 * 采购单号
	 */
	@Column(name = "papi_ordercode")
	private String orderCode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getOrderCode() {
		return orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	@Override
	public String toString() {
		return "PurchaseApBillItemSimpleInfo{" +
				"id=" + id +
				", orderCode='" + orderCode + '\'' +
				", productCode='" + productCode + '\'' +
				", productTitle='" + productTitle + '\'' +
				", productSpec='" + productSpec + '\'' +
				", productBrand='" + productBrand + '\'' +
				", productCmpCode='" + productCmpCode + '\'' +
				'}';
	}
}
